Subject: Re: [PATCH v5 net-next 5/5] net: wwan: t7xx: Devlink documentation

From: Ilpo Järvinen <[email-masked]>
Date: Wed, 25 Jan 2023 13:34:07 +0200 (EET)

On Wed, 25 Jan 2023, Kumar, M Chetan wrote:

> On 1/25/2023 10:21 AM, Jakub Kicinski wrote:
> > On Sat, 21 Jan 2023 19:03:58 +0530 [email-masked] wrote:
> > > +In fastboot mode the userspace application uses these commands for
> > > obtaining the
> > > +current snapshot of second stage bootloader.
> > 
> > I don't know what fastboot is, and reading this doc I see it used in
> > three forms:
> >   - fastboot protocol
> >   - fastboot mode
> >   - fastboot command & response
> 
> The fastboot is sort of a tool. It implements the protocol for programming the
> device flash or getting device information. The device implements the fastboot
> commands and host issue those commands for programming the firmware to device
> flash or to obtain device information. Inorder to execute those commands,
> first the device needs to be put into fastboot mode.
> 
> More details on fastboot can be found in links [1].
> 
> > In the end - I have no idea what the devlink param you're adding does.
> 
> "fastboot" devlink param is used to put the device into fastboot mode
> to program firmware to device flash or to obtain device information.
> 
> 
> [1]
> https://en.wikipedia.org/wiki/Fastboot
> https://android.googlesource.com/platform/system/core/+/refs/heads/master/fastboot/README.md

Make sure to improve the documentation too so that the next reader won't 
have the same problem in understanding. I hope this was obvious but just 
in case it wasn't, your true audience is the ones reading the doc later
and if a reviewer cannot understand your doc, the chances are the person 
reading the doc understands even less. And they won't have your reply to
the reviewer available so enough information should go into the 
documentation itself.

-- 
 i.